<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number100</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.100:</b>Write a JavaScript program to check if there is at least one element which occurs in two given sorted arrays of integers</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
		<input type="number" id="num1" placeholder="Number of First Array" style="width: 200px ;margin-top: 5px;"><br>
		<input type="number" id="num2" placeholder="Number of Sec. Array" style="width: 200px ;margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
		<pre id="demo"></pre>
	</div>
	<script>
	  function generate() {
		  var num1 = + document.getElementById('num1').value;
		  var num2 = + document.getElementById('num2').value;
		  var arr1 = [];
		  var arr2 = [];
		  
		  for ( i=0 ; i<num1 ; i++){
			  arr1.push(prompt("Enter Array1 Elements" +(i+1)));
			  arr1.map(Number);
		  }
		  for ( j=0 ; j<num2 ; j++) {
			  arr2.push(prompt("Enter Array2 Elements" +(j+1)));
			  arr2.map(Number);
		  }
		   for (i=0 ; i<arr1.length ; i++){
			   if (arr2.indexOf(arr1[i]) != -1){
				   	document.getElementById('demo').innerHTML=
						Boolean(1);
			   } else {
				   document.getElementById('demo').innerHTML=
					   Boolean(0);
			   }
		   }
	  }
	</script>
</body>
</html>
